メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-details
ウォレット - 純資産詳細
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "isActive": true,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "accuAmount": "<string>",
      "avgCostUsd": "<string>",
      "lastActiveAt": 123,
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
      "realizedPnlInUsd": "<string>",
      "unrealizedPnlInUsd": "<string>",
      "walletTokenTags": [
        "<string>"
      ]
    }
  ],
  "netWorth": "11839478.53162622",
  "requestedTimestamp": "2025-07-31T04:50:06.303Z",
  "resolvedTimestamp": "2025-07-31T04:50:06.475Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev
hours
integer<int32>
デフォルト:0

スナップショット時間(0=リアルタイム、1-720=過去スナップショット、デフォルト 0)

レスポンス

200 - application/json

成功レスポンス

Paginated wallet net-worth details (mirrors TS WalletNetWorthDetailsPage).

data
object[]
必須

トークン別純資産アイテムリスト

netWorth
string
必須

USD建ての純資産額

:

"11839478.53162622"

requestedTimestamp
string
必須

リクエストされたスナップショットタイムスタンプ

:

"2025-07-31T04:50:06.303Z"

resolvedTimestamp
string
必須

実際に解決されたスナップショットタイムスタンプ

:

"2025-07-31T04:50:06.475Z"

walletAddress
string
必須

ウォレットアドレス

:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"

endCursor
string | null

現在のページの終了カーソル

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

次のページがあるかどうか

:

false

hasPrev
boolean

前のページがあるかどうか

:

false

startCursor
string | null

現在のページの開始カーソル

:

"eyJpZCI6InN0YXJ0In0="